Bug 844198 - [RFE] Support import and export of images and application blueprints
[RFE] Support import and export of images and application blueprints
Status: CLOSED WONTFIX
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: iwhd (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Pete Zaitcev
Rehana
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 19:51 EDT by james labocki
Modified: 2013-06-24 13:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 13:20:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james labocki 2012-07-29 19:51:33 EDT
This is a request to support import and export within the image warehouse. A user should be able to import/export:

* Component Outlines (XML)
* Images (Component Outline XML+ one image that can be converted to other formats)
* Application Blueprint (XML)
* Application (Application Blueprint XML+ one image of each image contained in the applciation that can be converted to the other formats)

I realize the provider specific images may be large, but in todays world of virtual machine containers users have grown accustomed to sending around virtual machines images. Also, users might not have access to the bits to rebuild the image and their system engine may be setup differently from the source (custom repos named differently for example), so having just the description may not be enough.
Comment 1 jrd 2012-07-30 09:26:34 EDT
We've decided to deprecate iwhd in future CF versions, so i doubt we'll be able to justify much work in here.

It ought to be the case we could document how to do this kind of thing using the stock api.  Jim, Pete, any opinion on that?

Note You need to log in before you can comment on or make changes to this bug.